Newer Version Available

This content describes an older version of this product. View Latest

SObject Quick Actions

Returns a list of actions and their details. This resource is available in REST API version 28.0 and later. When working with actions, also refer to Quick Actions.

URI
To return a specific object’s actions as well as global actions, use: /vXX.X/sobjects/object/quickActions/
To return a specific action, use /vXX.X/sobjects/object/quickActions/{action name}
To return a specific action’s descriptive detail, use /vXX.X/sobjects/object/quickActions/{action name}/describe/
To return a specific action’s default values, including default field values, use services/data/vXX.X/sobjects/object/quickActions/{action name}/defaultValues/
In API version 28.0, to evaluate the default values for an action, use vXX.X/sobjects/object/quickActions/{action name}/defaultValues/{parent id}
In API version 29.0 and greater, to evaluate the default values for an action, use vXX.X/sobjects/object/quickActions/{action name}/defaultValues/{context id}

This returns the default values specific to the {context id} object.

Formats
JSON, XML
HTTP Method
HEAD, GET, POST
Authentication
Authorization: Bearer token
Parameters
None required
Example for getting Account actions
1curl https://yourInstance.salesforce.com/services/data/v50.0/sobjects/Account/quickActions -H "Authorization: Bearer token"
Example for creating a contact on Account using an action
1curl https://yourInstance.salesforce.com/services/data/v50.0/sobjects/Account/quickActions/CreateContact -H 'Authorization: Bearer access_token -H "Content-Type: application/json" -d @newcontact.json'
Example JSON request body newcontact.json file
1{
2
3   "contextId" : "001D000000JRSGf",
4   "record" : { "LastName" : "Smith" }
5
6}
Considerations
  • The resources return all actions—both global and standard—in addition to the ones requested.